package KUI;

import java.io.IOException;

public class MainFrame {

    public static void main(String[] args) {

        // new instance of classifier
        // For k-neares neighbor and naive bayes classifier you have to just
        // change class Perceptron for NN or Bayes respectively
        Classifier perceptron = new Perceptron();
        try {

            // Loading training data
            double[][] trainData = Classifier.loadMatrix("train.txt");
            char[] trainLabels = Classifier.loadLabels("train_labels.txt");

            // training classifier
            perceptron.learn(trainData, trainLabels);

            // loading test data
            double[][] testData = Classifier.loadMatrix("test.txt");
            char[] testLabels = Classifier.loadLabels("test_labels.txt");

            // classifying
            char[] classLabels = perceptron.classify(testData);

            // Printing result matrix
            Classifier.printConfusionMatrix(testLabels, classLabels);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}